Bug 7638 - Better MTP device support / add jmtpfs in mageia repositories (spec file and udev rules+scripts provided)
: Better MTP device support / add jmtpfs in mageia repositories (spec file and ...
Status: REOPENED
Product: Mageia
Classification: Unclassified
Component: New RPM package request
: Cauldron
: i586 Linux
: Normal Severity: enhancement
: ---
Assigned To: All Packagers
:
:
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-09-30 17:37 CEST by Y.LE_NY
Modified: 2016-11-02 09:29 CET (History)
10 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments
jmtpfs 0.4 mageia spec file / build with this spec file and install works fine. (880 bytes, application/x-gzip)
2012-09-30 17:40 CEST, Y.LE_NY
Details
files to add automount MTP device support in Mageia via udev / Tested with Mageia 2 and works fine (542 bytes, application/x-gzip)
2012-09-30 17:43 CEST, Y.LE_NY
Details
SRPM file directly for jmtpfs (242.21 KB, application/x-rpm)
2012-11-05 22:08 CET, Y.LE_NY
Details

Description Y.LE_NY 2012-09-30 17:37:41 CEST
Description of problem:
Mageia 2 have a buggy FUSE file-system for MTP support with mtpfs
and the automount for MTP devices doesn't exist in Mageia.

NOTE : And this ticket, I give you all you need to add a full MTP devices support in Mageia.
(I give you : tested mageia spec file, udev rules with scripts for automount.
The only thing that mageia packager need to do is to include the 
udev rules file with scripts files for automount in the mageia spec file.
I don't know how to do it)

And it is the same problem with Fedora :
Mailling list thread "MTP support in Fedora" here :
http://comments.gmane.org/gmane.linux.redhat.fedora.general/420736
and
our mageia users :
https://forums.mageia.org/en/viewtopic.php?f=8&t=2857

There is only one software that works fine with Android devices and that support well the 
MTP protocol (http://en.wikipedia.org/wiki/Media_Transfer_Protocol) 
because 
Google remove USB Mass Storage (http://en.wikipedia.org/wiki/USB_mass-storage_device_class) 
protocol in the latest android OS release.

This software is jmtpfs.
I have tested it and it works fine with my Asus nexus 7 tablet and Mageia2,

Web site : http://research.jacquette.com/jmtpfs-exchanging-files-between-android-devices-and-linux/
Source: http://research.jacquette.com/wp-content/uploads/2012/05/jmtpfs-0.4.tar.gz

Tested with success with :
* Mageia 2 with updates rpm in theb repo
* libmtp 1.1.5
* libusb 1.0.9
* libmagic 5.11
FUSE library version: 2.8.7
fusermount version: 2.8.7
using FUSE kernel interface version 7.12

Version-Release number of selected component (if applicable):
jmtpfs 0.4

+++++

How to use it ?

1) create a folder in your home directory 
$ mkdir ~/android

2) mount your android internal memory storage (/sdcard FS) to the android folder 
$ jmtpfs ~/android/
Device 0 (VID=04e8 and PID=6860) is a Samsung GT-P7310/P7510/N7000/I9100/Galaxy Tab 7.7/10.1/S2/Nexus/Note.
Android device detected, assigning default bug flags

3) Copy/Move/Delete the files/folders that you want from/to your android folder (your android device files) in your home directory from/to an other folder on yur computer. You use mc, Dolphin (KDE), Nautilus, command line, etc ... to do these tasks

4) umount your android internal memory storage (/sdcard FS) to the android folder 
$ fusermount -u ~/android
Comment 1 Y.LE_NY 2012-09-30 17:40:50 CEST
Created attachment 2878 [details]
jmtpfs 0.4 mageia spec file / build with this spec file and install works fine.

jmtpfs 0.4 mageia spec file / build with this spec file and install works fine.
Comment 2 Y.LE_NY 2012-09-30 17:43:22 CEST
Created attachment 2879 [details]
files to add automount MTP device support in Mageia via udev / Tested with Mageia 2 and works fine

 files to add automount MTP device support in Mageia via udev / Tested with Mageia 2 and works fine
Comment 3 Y.LE_NY 2012-10-01 09:02:08 CEST
Why Mageia 2 have a buggy FUSE file-system for MTP support because it use mtpfs ?

mtpfs sees only directories, not files, on Verizon Wireless Samsung Galaxy S III with lots of data
https://bugzilla.redhat.com/show_bug.cgi?id=841260
Comment 4 Funda Wang 2012-11-03 11:03:15 CET
To reporter, would you mind providing an SRPM file directly for jmtpfs?
Comment 5 Olivier Blin 2012-11-05 15:36:31 CET
We probably don't want to automount mtp devices that way.
This should be handled by the desktop, and user proper permissions.
Comment 6 Y.LE_NY 2012-11-05 22:08:42 CET
Created attachment 3047 [details]
SRPM file directly for jmtpfs

(In reply to comment #4) from Funda Wang
> To reporter, would you mind providing an SRPM file directly for jmtpfs?

OK, in this patch
Comment 7 Y.LE_NY 2012-11-05 22:11:07 CET
(In reply to comment #5)
> We probably don't want to automount mtp devices that way.
> This should be handled by the desktop, and user proper permissions.

@Olivier
No problems, if you have a better solution than me to do the task.
I use the scripts because I don't find other solution.
Comment 9 Y.LE_NY 2013-07-30 17:22:02 CEST
>cauldron already supports mtp devices with libmtp 1.1.6:
OK, I will test it in Mageia 4 Alpha 1.
Comment 10 Damien Lallement 2013-08-27 01:07:48 CEST
So? Ping? :-)
Comment 11 Damien Lallement 2013-09-19 18:15:43 CEST
Ping?
Comment 12 Manuel Hiebel 2013-10-10 21:40:52 CEST
looks to work https://bugs.mageia.org/show_bug.cgi?id=11394

(as I guess nobody will backport it, closing.)
Comment 13 David Walser 2013-12-07 20:22:22 CET
I have a Samsung Galaxy S4 running Android, and mtpfs does not work (you can view the directory structure, but can't create anything) and kio-mtp is about the same.  I need to do more testing and see if the phone can see the files it transfers, but jmtpfs, linked in Comment 0, appears to at least be able to transfer files.  go-mtpfs looks like it might work as well:
https://github.com/hanwen/go-mtpfs
Comment 14 David Walser 2013-12-08 00:52:42 CET
jmtpfs does indeed work, apparently quite well.
Comment 15 Marja van Waes 2015-03-31 16:04:29 CEST
Mageia 3 changed to end-of-life (EOL) status 4 months ago.
http://blog.mageia.org/en/2014/11/26/lets-say-goodbye-to-mageia-3/ 

Mageia 3 is no longer maintained, which means that it will not receive any further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Mageia
please feel free to click on "Version" change it against that version of Mageia
and reopen this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

--
The Mageia Bugsquad
Comment 16 Julien Gouesse 2015-03-31 17:31:52 CEST
It seems to be fixed in Mageia 4. I succeeded in using MTP with a Samsung S3 4G (i9305) a few days ago.
Comment 17 David Walser 2015-03-31 17:55:45 CEST
mtpfs is still useless with a Samsung Galaxy S4 on Linux.

Even my old jmtpfs build wasn't working anymore on Mageia 4 (just tried it for the first time on Sunday).

I had to update libmtp to 1.1.8 (rebuilt from Cauldron SRPM) and jmtpfs to 0.5 (source tarball found in Debian) and it worked again.
Comment 18 David Walser 2015-03-31 17:56:29 CEST
Reopening, as Debian has packaged jmtpfs, so should we.
Comment 19 papoteur 2015-07-14 15:12:58 CEST
Hello,
I tried in Mageia 4 today to connect my Android Samsung Core. Dolphin sees the phone, I can open the device, seeing Card and Phone.
But some directories are not accessible to the user. Root can access all directories.
Comment 20 Pierre Jarillon 2015-08-27 15:42:36 CEST
Same than https://bugs.mageia.org/show_bug.cgi?id=10571 ?
Comment 21 Pierre Jarillon 2015-08-27 15:44:19 CEST
It seems to be the same than
https://bugs.mageia.org/show_bug.cgi?id=7638 ?
Comment 22 Florian Hubold 2015-12-19 09:00:32 CET
Cannot reproduce in Mageia 5, but I don't have any Samsung phone to test. My Sony Xperia Z3 Compact works just fine, it's accessed in dolphin via the mtp:// kio slave.

FWIW, I don't have mtpfs installed, maybe this is even conflicting as it seems to error out for others as well with "fuse: missing mountpoint parameter"

@David: Can you still reproduce? Maybe remove mtpfs to try if that helps.
Comment 23 David Walser 2015-12-19 18:26:35 CET
mtpfs is completely broken, in fact now it can't even connect to the device.  I guess I hadn't tested kio-mtp since upgrading to Mageia 5, and it does appear to work now.  Whether or not mtpfs is installed doesn't matter, and there's no reason it would produce any "conflict" as it's just a command-line program.  So, it's nice that kio-mtp seems to work, but that still has limited usefulness, as it doesn't make the device accessible from the command line.  We should still package jmtpfs.
Comment 24 papoteur 2015-12-21 19:05:19 CET
Tried my Samsung Galaxy Core 4G, I can explore any file in Card and Phone from dolphin in Mageia 5. I can also copy a file in Phone.

Thus it works fine.
Comment 25 Morgan Leijström 2016-01-12 17:08:26 CET
On my Minolta Dimage A2 camera i can browse the folder using Dolphin, but as soon as I try to retrieve a file it disconnects.
(AFAIK it failed to work with MSWindowsWXP too)
I have not tried since before mageia where it did not work at all.

mga5-64, kio-mtp is installed, mtpfs is not installed.

It is an old camera, so maybe i could try to change to mtpfs if it possibly speak an old dialect the camera maybe do too.  Or try gmtp.

(i just stumbled on this one and tell my experience, not important for myself)

I connect my "smart"phone using USB mode, and on my camera i quickly move the memory module...
Comment 26 David Walser 2016-01-12 17:14:30 CET
mtpfs is a waste of time, but you can try jmtpfs, I bet it'd work.
Comment 27 Samuel Verschelde 2016-01-12 17:32:06 CET
Altering subject so that each bugzilla notification will not hurt my eyes anymore :)
Comment 28 Morgan Leijström 2016-01-12 22:25:37 CET
I will try jmtpfs when it is packaged for mga5-64 :)
Comment 29 Morgan Leijström 2016-01-12 22:28:10 CET
There is a week old fedora package
http://rpmfind.net/linux/RPM/fedora/devel/rawhide/x86_64/j/jmtpfs-0.4-2.fc24.x86_64.html

(sorry for bombarding your eyes...) ;)
Comment 30 David Walser 2016-01-12 22:29:07 CET
I don't know if it can be added in Mageia 5 (I guess maybe as a backport).  It's not hard to compile by itself though.
Comment 31 Ken Arromdee 2016-07-25 04:47:41 CEST
I also could not get mtpfs to work on a Galaxy J3 phone.  jmtpfs did work.
Comment 32 Samuel Verschelde 2016-10-11 20:54:28 CEST
Assigning this package request to all packagers collectively. On a voluntary basis, one of them might want to integrate it to the distribution and maintain it for bug and security fixes.

You might also want to join the packager team to maintain this piece of software: see https://wiki.mageia.org/en/Becoming_a_Mageia_Packager
Comment 33 Marja van Waes 2016-11-02 09:29:21 CET
Sorry, bugs@ml and pkg-bugs@ml members, for the avalanche.

72 bugs with the "New RPM package request" component, had a severity of "normal" or more, which can lead to losing precious time when searching Bugzilla for bugs that urgently need to get fixed

Now mass-changing that to "enhancement", as it should be for package requests.

https://wiki.mageia.org/en/How_to_report_a_bug_properly#How_to_file_a_package_request

@ the reporter of this package request

Please check in http://madb.mageia.org/ whether this software did already get packaged, and close this bug report if it did.
Please do also close it if you find a package with the same purpose, that meets your needs.

Note You need to log in before you can comment on or make changes to this bug.